| Bsoft 2.0.5 Bernard's software package

Macros | Functions
rwBrookhavenSTEM.h File Reference

Header file for reading and writing Brookhaven STEM files. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Macros
#define | BrookhavenSTEMSIZE 4096

## Functions
int | readBrookhavenSTEM (Bimage *p, int readdata)
| Reading a BrookhavenSTEM image file format. More...
int | writeBrookhavenSTEM (Bimage *p)
| Writing a BrookhavenSTEM image file format. More...

## Detailed Description

Header file for reading and writing Brookhaven STEM files.

Author
  Bernard Heymann

Date
  Created: 20050729
  Modified: 20111217

      Format: 2D STEM image file format

Definition in file rwBrookhavenSTEM.h.

## Macro Definition Documentation

## ◆ BrookhavenSTEMSIZE

#define BrookhavenSTEMSIZE 4096

Definition at line 13 of file rwBrookhavenSTEM.h.

## Function Documentation

## ◆ readBrookhavenSTEM()

int readBrookhavenSTEM | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a BrookhavenSTEM image file format.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure). A 2D image format used for the Brookhaven STEM. It has a text header of 4096 bytes (fixed size). The default size is 512x512. File format extension: .dat. Data type: unsigned char. The header specifies the following keywords: SCAN: pixel size in internal units The data is packed into two interleaved channels which are unpacked into two separate images in this function. The first image contains the signal from the LA (large area) detector and the second image contains the signal from either the SA (small area) detector, or the BF (bright field) detector. The data is corrected for signal non-linearity on the fly when read in.

Definition at line 101 of file rwBrookhavenSTEM.cpp.

## ◆ writeBrookhavenSTEM()

int writeBrookhavenSTEM | ( | Bimage * | p | ) |

Writing a BrookhavenSTEM image file format.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure). A 2D image format used for the Brookhaven STEM.

Definition at line 188 of file rwBrookhavenSTEM.cpp.